<?php
// PointX 2.0.0 - Information (infusion.php)
$locale['pointx_info_00_000'] = "PointX";
$locale['pointx_info_00_001'] = "Advanced scoring system for PHP-Fusion";
$locale['pointx_info_00_002'] = "PointX";
$locale['pointx_info_00_003'] = "Points";
$locale['pointx_info_00_004'] = "Shoutbox";
$locale['pointx_info_00_005'] = "Comments";
$locale['pointx_info_00_006'] = "Forum";

// PointX 2.0.0 - User Page (pointx.php)
$locale['pointx_page_00_000'] = "Points";
$locale['pointx_page_00_001'] = " - ";
$locale['pointx_page_00_002'] = "Index";
$locale['pointx_page_00_003'] = "Transfer";
// Index
$locale['pointx_page_01_000'] = "No items for which points are awarded.";
$locale['pointx_page_01_001'] = "Points are awarded for:";
// Transfer
$locale['pointx_page_02_000'] = "User Name:";
$locale['pointx_page_02_001'] = "Number of Points:";
$locale['pointx_page_02_002'] = "Transfer";
// Messages and Errors
$locale['pointx_page_03_000'] = "Points were transferred!";
$locale['pointx_page_03_001'] = "Occurred Error! The field \"Number of Points\" contains an invalid value";
$locale['pointx_page_03_002'] = "Occurred Error! The specified user does not exist";
$locale['pointx_page_03_003'] = "Occurred Error! You do not have enough points";

// PointX 2.0.0 - Admin Panel (pointx_admin.php)
$locale['pointx_admin_00_000'] = "PointX";
$locale['pointx_admin_00_001'] = " - ";
$locale['pointx_admin_00_002'] = "List of PointXers";
$locale['pointx_admin_00_003'] = "Settings";
$locale['pointx_admin_00_004'] = "Create PointXer";
$locale['pointx_admin_00_005'] = "Edit PointXer \"%s\"";
$locale['pointx_admin_00_006'] = "Delete PointXer";
$locale['pointx_admin_00_007'] = "Higher Settings";
$locale['pointx_admin_00_008'] = "Preview Message";
$locale['pointx_admin_00_009'] = "Points Management";
$locale['pointx_admin_00_010'] = "Event Log"; // NEW_VERSION
$locale['pointx_admin_00_011'] = "Update 1.x.x to "; // NEW_VERSION
// Messages and Errors
$locale['pointx_admin_01_000'] = "PointXer Added!";
$locale['pointx_admin_01_001'] = "Field \"Name\" can not be empty!";
$locale['pointx_admin_01_002'] = "Field \"Points\" contains an invalid value!";
$locale['pointx_admin_01_003'] = "There is already PointXer with that name!";
$locale['pointx_admin_01_004'] = "PointXer Updated!";
$locale['pointx_admin_01_005'] = "The specified PointXer does not exist!";
$locale['pointx_admin_01_006'] = "PointXer Deleted!";
$locale['pointx_admin_01_007'] = "Occurred Error! PointXer not Deleted";
$locale['pointx_admin_01_008'] = "Settings Updated!";
$locale['pointx_admin_01_009'] = "Occurred Error! Settings not Updated";
$locale['pointx_admin_01_010'] = "Points Updated!";
$locale['pointx_admin_01_011'] = "Field \"Number of Points\" contains an invalid value!";
$locale['pointx_admin_01_012'] = "The result does not match the current settings!";
$locale['pointx_admin_01_013'] = "The specified user does not exist!";
$locale['pointx_admin_01_014'] = "Not defined action!";
$locale['pointx_admin_01_015'] = "The specified log entry does not exist!";  // NEW_VERSION
$locale['pointx_admin_01_016'] = "Logging is disabled!";  // NEW_VERSION
$locale['pointx_admin_01_017'] = "Logging is enabled!";  // NEW_VERSION
$locale['pointx_admin_01_018'] = "Event Log cleared!";  // NEW_VERSION
// Add PointXer
$locale['pointx_admin_02_000'] = "None PointXers!";
$locale['pointx_admin_02_001'] = "Name:";
$locale['pointx_admin_02_002'] = "Points:";
$locale['pointx_admin_02_003'] = "Add";
// List of PointXers
$locale['pointx_admin_03_000'] = "Name";
$locale['pointx_admin_03_001'] = "Code";
$locale['pointx_admin_03_002'] = "Points";
$locale['pointx_admin_03_003'] = "Options";
$locale['pointx_admin_03_004'] = "Edit";
$locale['pointx_admin_03_005'] = "Delete";
// Edit PointXer
$locale['pointx_admin_04_000'] = "Name:";
$locale['pointx_admin_04_001'] = "Points:";
$locale['pointx_admin_04_002'] = "Code:";
$locale['pointx_admin_04_003'] = "Save";
// Delete PointXer
$locale['pointx_admin_05_000'] = "Are you sure you want to delete this PointXer?";
$locale['pointx_admin_05_001'] = "<span style='color:#FF0000'>Note!</span> Remember to remove the code of PointXera from the file.";
$locale['pointx_admin_05_002'] = "Yes";
$locale['pointx_admin_05_003'] = "No";
// Settings
$locale['pointx_admin_06_000'] = "Yes";
$locale['pointx_admin_06_001'] = "No";
$locale['pointx_admin_06_002'] = "Save";
$locale['pointx_admin_06_003'] = "Enable \"PointX\"?";
$locale['pointx_admin_06_004'] = "Enable negative points?";
$locale['pointx_admin_06_005'] = "Enable \"Major &amp; Minor\"?<br /><span class='small2'>Fractional points. Example: 10.05</span>";
$locale['pointx_admin_06_006'] = "Enable \"Ranking Points\"?<br /><span class='small2'>If enabled, the number of posts in the \"Forum Ranks\" is the number of points.</span>";
$locale['pointx_admin_06_007'] = "Group for which the points are enabled?<br /><span class='small2' style='color:#FF0000;'>Function Unavailable!</span>";
$locale['pointx_admin_06_008'] = "The maximum number of points:";
$locale['pointx_admin_06_009'] = "The minimum number of points:<br /><span class='small'>The maximum value of the negative</span>";
$locale['pointx_admin_06_010'] = "Action at minimum or negative value:<br /><span class='small2'>If a negative value is disabled the action will be made at a value below 0.</span>";
$locale['pointx_admin_06_011'] = "No Action (Reset)";
$locale['pointx_admin_06_012'] = "Blocking Account";
$locale['pointx_admin_06_013'] = "System Settings";
$locale['pointx_admin_06_014'] = "Members Page Settings";
$locale['pointx_admin_06_015'] = "Allow transfers between users?";
$locale['pointx_admin_06_016'] = "Enable list of PointXers?";
$locale['pointx_admin_06_017'] = "Information Message:";
$locale['pointx_admin_06_018'] = "Preview";
$locale['pointx_admin_06_019'] = "Allow transfers below zero points?<br /><span class='small2'>Recommended Value: No<br />If \"Yes\" user will be able to transfer points, even if their value is below 0.</span>";
$locale['pointx_admin_06_020'] = "Settings \"Function Values\"";
$locale['pointx_admin_06_021'] = "Update Type:<br /><span class='small2'><strong>Instant</strong> - The data is updated on a regular basis. Not recommended for large number of users.<br /><strong>Optimal</strong> - Data is updated only when the user's activity.</span>";
$locale['pointx_admin_06_022'] = "Instant";
$locale['pointx_admin_06_023'] = "Optimal";
$locale['pointx_admin_06_024'] = "Update Data";
$locale['pointx_admin_06_025'] = "Additional Options";
$locale['pointx_admin_06_026'] = "Enable display of the number of posts on the forum?";
$locale['pointx_admin_06_027'] = "Enable User Field \"Number of Points\"?";
$locale['pointx_admin_06_028'] = "Enable Panel \"Top Users\"?";
$locale['pointx_admin_06_029'] = "Enable";
$locale['pointx_admin_06_030'] = "Disable";
$locale['pointx_admin_06_031'] = "Right";
$locale['pointx_admin_06_032'] = "Left";
$locale['pointx_admin_06_033'] = "Enable Event Log?"; // NEW_VERSION
$locale['pointx_admin_06_034'] = "Clear"; // NEW_VERSION
$locale['pointx_admin_06_035'] = "Show Admins in \"Top Users\"?"; // NEW_VERSION
// Higher Settings
$locale['pointx_admin_07_000'] = "Execute";
$locale['pointx_admin_07_001'] = "Higher Settings change detected!";
$locale['pointx_admin_07_002'] = "If changes are made the value of users points may change.";
$locale['pointx_admin_07_003'] = "Zmniejszenie Negative Points will reset for all users who have less than 0 points.";
$locale['pointx_admin_07_004'] = "Disabling \"Major &amp; Minor\" will replace all fractional results on the full.";
$locale['pointx_admin_07_005'] = "Lowering the maximum points will reduce the number of points for all their users with more than the specified value.";
$locale['pointx_admin_07_006'] = "Reducing the minimum value points will reset all negative below this value.";
$locale['pointx_admin_07_007'] = "Cancel";
// Points Management
$locale['pointx_admin_08_000'] = "User Name:";
$locale['pointx_admin_08_001'] = "Number of Points:";
$locale['pointx_admin_08_002'] = "Action:";
$locale['pointx_admin_08_003'] = "Add";
$locale['pointx_admin_08_004'] = "Take";
$locale['pointx_admin_08_005'] = "Reset";
$locale['pointx_admin_08_006'] = "Execute";
// Event Log
$locale['pointx_admin_09_000'] = "User Name";  // NEW_VERSION
$locale['pointx_admin_09_001'] = "Number of Entries";  // NEW_VERSION
$locale['pointx_admin_09_002'] = "Options";  // NEW_VERSION
$locale['pointx_admin_09_003'] = "Open Log";  // NEW_VERSION
$locale['pointx_admin_09_004'] = "Disable Logging";  // NEW_VERSION
$locale['pointx_admin_09_005'] = "Clear Log";  // NEW_VERSION
$locale['pointx_admin_09_006'] = "Enable Logging";  // NEW_VERSION
$locale['pointx_admin_09_007'] = "Logging Disabled";  // NEW_VERSION
// Event Log - Open
$locale['pointx_admin_10_000'] = "Message";  // NEW_VERSION
$locale['pointx_admin_10_001'] = "Points";  // NEW_VERSION
$locale['pointx_admin_10_002'] = "Balance";  // NEW_VERSION
$locale['pointx_admin_10_003'] = "Date";  // NEW_VERSION
$locale['pointx_admin_10_004'] = "None Entries in Event Log!";  // NEW_VERSION
$locale['pointx_admin_10_005'] = "Legend:";  // NEW_VERSION
$locale['pointx_admin_10_006'] = "Added";  // NEW_VERSION
$locale['pointx_admin_10_007'] = "Taken";  // NEW_VERSION
$locale['pointx_admin_10_008'] = "[A]";  // NEW_VERSION
$locale['pointx_admin_10_009'] = "[T]";  // NEW_VERSION
$locale['pointx_admin_10_010'] = "Reset";  // NEW_VERSION
$locale['pointx_admin_10_011'] = "[R]";  // NEW_VERSION
$locale['pointx_admin_10_012'] = "Not Available";  // NEW_VERSION
// Event Log - Disable Logging
$locale['pointx_admin_11_000'] = "Are you sure you want to disable logging in the user?";  // NEW_VERSION
$locale['pointx_admin_11_001'] = "Yes";  // NEW_VERSION
$locale['pointx_admin_11_002'] = "No";  // NEW_VERSION
// Event Log - Enable Logging
$locale['pointx_admin_12_000'] = "Are you sure you want to enable logging in the user?";  // NEW_VERSION
$locale['pointx_admin_12_001'] = "Yes";  // NEW_VERSION
$locale['pointx_admin_12_002'] = "No";  // NEW_VERSION
// Event Log - Clean Event Log (User)
$locale['pointx_admin_13_000'] = "Are you sure you want to clear the log this user?";  // NEW_VERSION
$locale['pointx_admin_13_001'] = "Yes";  // NEW_VERSION
$locale['pointx_admin_13_002'] = "No";  // NEW_VERSION
// Event Log - Clean Event Log (All)
$locale['pointx_admin_14_000'] = "Are you sure you want to clear the log?";  // NEW_VERSION
$locale['pointx_admin_14_001'] = "Yes";  // NEW_VERSION
$locale['pointx_admin_14_002'] = "No";  // NEW_VERSION
// Update from 1.x.x to latest
$locale['pointx_admin_15_000'] = "Updater PointX!";  // NEW_VERSION
$locale['pointx_admin_15_001'] = "The update process will preserve the current state of points and some settings.";  // NEW_VERSION
$locale['pointx_admin_15_002'] = "Update";  // NEW_VERSION

// PointX 2.0.0 - Panel (pointx_panel.php)
$locale['pointx_panel_00_000'] = "Top Users";
$locale['pointx_panel_00_001'] = "Points: ";

// PointX 2.0.0 - Main Class (PointX.class.php)
$locale['pointx_pxclass_00_000'] = "point";
$locale['pointx_pxclass_00_001'] = "points";
$locale['pointx_pxclass_00_002'] = "points";
$locale['pointx_pxclass_00_003'] = "points";
// The reason Blocking
$locale['pointx_pxclass_01_000'] = "Your account has been blocked";
$locale['pointx_pxclass_01_001'] = "Exceeded the allowable limit of negative points. Your account \"[USER_NAME]\" has been blocked.";
$locale['pointx_pxclass_01_002'] = "Exceeded the limit of negative points!";
// Messages "Event Log"
$locale['pointx_pxclass_02_000'] = "Points added by PointXer called \"%s\"."; // NEW_VERSION
$locale['pointx_pxclass_02_001'] = "Points taken by PointXer called \"%s\"."; // NEW_VERSION
$locale['pointx_pxclass_02_002'] = "Points added by Admin \"%s\"."; // NEW_VERSION
$locale['pointx_pxclass_02_003'] = "Points reset by Admin \"%s\"."; // NEW_VERSION
$locale['pointx_pxclass_02_004'] = "Points taken by Admin \"%s\"."; // NEW_VERSION
$locale['pointx_pxclass_02_005'] = "Transfer to user \"%s\""; // NEW_VERSION
$locale['pointx_pxclass_02_006'] = "Transfer from user \"%s\""; // NEW_VERSION

// PointX 2.0.0 - Function Values (FunctionValues.class.php)
$locale['pointx_fvclass_00_000'] = ""; // unnecessary
$locale['pointx_fvclass_00_001'] = ""; // unnecessary
$locale['pointx_fvclass_00_002'] = ""; // unnecessary

// PointX 2.0.0 - Generator "Number of Points" on the Forum (ForumGenerator.class.php)
$locale['pointx_fgclass_00_000'] = "Points:";
?>