<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pointx_core.php
| Version: 2.0.2
| Author: Yodix
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
if (!dbcount("(inf_id)", DB_INFUSIONS, "inf_folder='pointx'")) die("PointX nie jest zainstalowany!");

include INFUSIONS."pointx/infusion_db.php";
include INFUSIONS."pointx/system/PointX.class.php";

$PointX = new PointX();

if (iADMIN && $PointX->oldupdate == TRUE) define("PxOldUpdate", TRUE);
if (defined("PxOldUpdate") && FUSION_SELF != "pointx_admin.php") redirect(INFUSIOSN."pointx/pointx_admin.php".$aidlink."&amp;page=main");

if (iMEMBER && !$PointX->disable) {
	include_once INFUSIONS."pointx/system/FunctionValues.class.php";
	
	if (isset($PointX->settings['function_values']) && $PointX->settings['function_values'] == 2) {
		$whereClause = " WHERE user_id='".$userdata['user_id']."'";
	} elseif (isset($PointX->settings['function_values']) && $PointX->settings['function_values'] == 1) {
		$whereClause = "";
	}
	
	if (isset($whereClause)) {
		$px_fv_result = dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS.$whereClause);
		while ($px_fv_data = dbarray($px_fv_result)) {
			$postCount = dbcount("(post_id)", DB_POSTS, "post_author='".$px_fv_data['user_id']."'");
			$FunctionValues = new FunctionValues($px_fv_data['user_id'], DB_POSTS, "post_id", "post_author");
			
			if ($FunctionValues->GetCurrentValue() < $postCount) {
				$FunctionValues->SetExecute(1);
				$FunctionValues->Execute("add");
				if ($FunctionValues->GetStatus()) {
					$PointX->AddPoints($px_fv_data['user_id'], "k58vyCzT1r9IPXE42aC6ept5L");
				}
			} elseif ($FunctionValues->GetCurrentValue() > $postCount) {
				$operation = $FunctionValues->GetCurrentValue() - $postCount;
				
				$FunctionValues->SetExecute($operation);
				$FunctionValues->Execute("take");
				if ($FunctionValues->GetStatus()) {
					for ($i = 0; $i < $operation; $i++) {
						$PointX->TakePoints($px_fv_data['user_id'], "k58vyCzT1r9IPXE42aC6ept5L");
					}
				}
			}
			
			unset($FunctionValues, $postCount, $operation);
			
			$commentCount = dbcount("(comment_id)", DB_COMMENTS, "comment_name='".$px_fv_data['user_id']."'");
			$FunctionValues = new FunctionValues($px_fv_data['user_id'], DB_COMMENTS, "comment_id", "comment_name");
			
			if ($FunctionValues->GetCurrentValue() < $commentCount) {
				$FunctionValues->SetExecute(1);
				$FunctionValues->Execute("add");
				if ($FunctionValues->GetStatus()) {
					$PointX->AddPoints($px_fv_data['user_id'], "4UqTdv934pmwJ7b937xz7Y4SC");
				}
			} elseif ($FunctionValues->GetCurrentValue() > $commentCount) {
				$operation = $FunctionValues->GetCurrentValue() - $commentCount;
				
				$FunctionValues->SetExecute($operation);
				$FunctionValues->Execute("take");
				if ($FunctionValues->GetStatus()) {
					for ($i = 0; $i < $operation; $i++) {
						$PointX->TakePoints($px_fv_data['user_id'], "4UqTdv934pmwJ7b937xz7Y4SC");
					}
				}
			}
			
			unset($FunctionValues, $commentCount, $operation);
			
			if (dbcount("(inf_id)", DB_INFUSIONS, "inf_folder='shoutbox_panel'") == 1 && file_exists(INFUSIONS."shoutbox_panel/infusion_db.php")) {
				include_once INFUSIONS."shoutbox_panel/infusion_db.php";
				
				$shoutCount = dbcount("(shout_id)", DB_SHOUTBOX, "shout_name='".$px_fv_data['user_id']."'");
				$FunctionValues = new FunctionValues($px_fv_data['user_id'], DB_SHOUTBOX, "shout_id", "shout_name");
				
				if ($FunctionValues->GetCurrentValue() < $shoutCount) {
					$FunctionValues->SetExecute(1);
					$FunctionValues->Execute("add");
					if ($FunctionValues->GetStatus()) {
						$PointX->AddPoints($px_fv_data['user_id'], "2dGusD15C8d6P2U6VU792F79b");
					}
				} elseif ($FunctionValues->GetCurrentValue() > $shoutCount) {
					$operation = $FunctionValues->GetCurrentValue() - $shoutCount;
					
					$FunctionValues->SetExecute($operation);
					$FunctionValues->Execute("take");
					if ($FunctionValues->GetStatus()) {
						for ($i = 0; $i < $operation; $i++) {
							$PointX->TakePoints($px_fv_data['user_id'], "2dGusD15C8d6P2U6VU792F79b");
						}
					}
				}
				
				unset($FunctionValues, $shoutCount, $operation);
			}
		}
	}
}
if (isset($_GET['pointx_add_panel'])) {
	replace_in_output("<option>pointx_panel</option>", "<option selected=\'selected\'>pointx_panel</option>", "si");
}

if (isset($PointX->settings['forum_info_points']) && $PointX->settings['forum_info_points'] == 1) {
	include INFUSIONS."pointx/system/ForumGenerator.class.php";
	
	$ForumGenerator = new ForumGenerator($PointX);
	
	if ($PointX->settings['scoring_rank'] == 1 && FUSION_SELF != "forum_ranks.php") $settings['forum_ranks'] = FALSE;

	function forum_generator ($initializer) {
		global $ForumGenerator;

		$ForumGenerator->setInitializer($initializer);
		return $ForumGenerator->Execute();
	}

	add_handler("forum_generator");
}
?>